Skip to main content
System Management/System Settings/Custom Attribute
GETCustom AttributeSince 3.4.0SynchronousAuth Required

Get Resource Custom Attribute

Get Resource Custom Attribute

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • categoryStringRequired

    Configuration category

  • nameStringRequired

    Configuration name

  • resourceUuidStringRequired

    Resource UUID

Query Parameters

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns the following response structure.

  • valueStringRequired

    The configuration value

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation failed. This field is null when the operation succeeds. See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

  • effectiveConfigsListRequired

    The list of effective configurations, sorted by priority from high to low. See effectiveConfigs for details

    • uuidStringRequired

      The UUID of the resource, uniquely identifying the resource

    • resourceUuidStringRequired

      The resource UUID associated with the configuration

    • resourceTypeStringRequired

      The resource type associated with the configuration

    • nameStringRequired

      Configuration name

    • descriptionStringRequired

      The detailed description of the configuration

    • categoryStringRequired

      Configuration category

    • valueStringRequired

      The configuration value

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

  • errorErrorCodeRequired

    See error for details

    • codeStringRequired

      The error code number. A globally unique identifier for the error, for example, SYS.1000, HOST.1001

    • descriptionStringRequired

      A brief description of the error

    • detailsStringRequired

      The detailed error information

    • elaborationStringRequired

      Reserved field. Default is null

    • opaqueLinkedHashMapRequired

      Reserved field. Default is null

    • causeErrorCodeRequired

      The root error that caused the current error. If no root error exists, this field is null

Endpoint

GET/zstack/v1/resource-configurations/{resourceUuid}/{category}/{name}

/zstack/v1/resource-configurations/{resourceUuid}/{category}/{name}

Operation ID

GetResourceConfig

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/resource-configurations/{resourceUuid}/{category}/{name}?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "value": "5", "effectiveConfigs": [ { "uuid": "dae9aeb6d74e4f44823f2e0c4f1cc79f", "resourceUuid": "46597de31eac41539c4e6eda52885769", "resourceType": "HostVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "5", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" }, { "uuid": "5c3c94a73d7b4a95a1818241f2e427ae", "resourceUuid": "371519310f344695854de27bb9743121", "resourceType": "ClusterVO", "name": "cpu.overProvisioning.ratio", "category": "host", "value": "10", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history